#include <bits/stdc++.h>
using namespace std;

int main() {
ios_base::sync_with_stdio(false);
cin.tie(NULL);
    
	int x, y, a, b;
	cin >> a >> b >> x >> y;
	
	if (x==a && y==b) {
		cout << "nijedan" << '\n';
	}
	else if (x==a && y<b) {
		cout << "drugi" << '\n';
	}
	else if (x<a && y==b) {
		cout << "prvi" << '\n';
	}
	else {
		cout << "?" << '\n';
	}

return 0;
}